## stdsyslog 0.03

=== Makefile ===
# Copyright (c) 2013  Peter Pentchev
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Ringlet$

LOCALBASE?=	/usr/local
PREFIX?=	${LOCALBASE}
BINDIR?=	${PREFIX}/bin
MANDIR?=	${PREFIX}/man/man
EXAMPLESDIR?=	${PREFIX}/share/examples/${PROG}

# TODO: regexp support for matching output lines to syslog specs
#PCRE_CPPFLAGS?=	-DHAVE_PCRE -I${LOCALBASE}/include
#PCRE_LIBS?=	-L${LOCALBASE}/lib -lpcre

CC?=		cc
CPPFLAGS?=
CPPFLAGS+=	${PCRE_CPPFLAGS}
CFLAGS?=		-g -pipe
CFLAGS+=	-Wall -W
LDFLAGS?=
LIBS?=

RM=		rm -f
MKDIR?=		mkdir -p
SETENV?=	env

PROG=		stdsyslog
OBJS=		stdsyslog.o
SRCS=		stdsyslog.c
DEPENDFILE=	.depend

#EXAMPLES=	t/t1.ini t/t2.ini
EXAMPLES=

MAN1=		stdsyslog.1
MAN1GZ=		${MAN1}.gz

BINOWN?=	root
BINGRP?=	wheel
BINMODE?=	555

MANOWN?=	${BINOWN}
MANGRP?=	${BINGRP}
MANMODE?=	644

SHAREOWN?=	${BINOWN}
SHAREGRP?=	${BINGRP}
SHAREMODE?=	644

# development/debugging flags, you may safely ignore them
BDECFLAGS=	-W -Wall -std=c99 -pedantic -Wbad-function-cast -Wcast-align \
		-Wcast-qual -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings
CFLAGS+=	${BDECFLAGS}
CFLAGS+=	-Werror
#CFLAGS+=	-ggdb -g3

CPPFLAGS_STD?=	-D_POSIX_C_SOURCE=200809L -D_BSD_SOURCE=1 -D_XOPEN_SOURCE=700
CPPFLAGS+=	${CPPFLAGS_STD}

all:		${PROG} ${MAN1GZ}

clean:
		${RM} ${PROG} ${OBJS} ${MAN1GZ}

${PROG}:	${OBJS}
		${CC} ${LDFLAGS} -o ${PROG} ${OBJS} ${PCRE_LIBS}

.c.o:
		${CC} ${CPPFLAGS} ${CFLAGS} -c $<

${MAN1GZ}:	${MAN1}
		gzip -c9 ${MAN1} > ${MAN1GZ}.tmp
		mv ${MAN1GZ}.tmp ${MAN1GZ}

install:	all install-bin install-man

install-bin:
		-${MKDIR} ${DESTDIR}${BINDIR}
		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/

install-man:
		-${MKDIR} ${DESTDIR}${MANDIR}1
		install -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/

install-examples:
		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}
		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${EXAMPLES} ${DESTDIR}${EXAMPLESDIR}/

depend:
		${SETENV} CPPFLAGS="-DSTDSYSLOG_MAKEDEP ${CPPFLAGS}" \
		DEPENDFILE="${DEPENDFILE}" sh makedep.sh ${SRCS}
		
test:		all
		prove t

.PHONY:		all clean depend install test

ifeq ($(wildcard ${DEPENDFILE}),${DEPENDFILE})
include ${DEPENDFILE}
endif

=== debian/changelog ===
stdsyslog (0.03-1) unstable; urgency=low

  * Initial release (Closes: #699347)

 -- Peter Pentchev <roam@ringlet.net>  Tue, 19 Feb 2013 16:49:31 +0200

=== debian/control ===
Source: stdsyslog
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 9)
Standards-Version: 3.9.4
Homepage: http://devel.ringlet.net/sysutils/stdsyslog/
Vcs-Git: git://git.gitorious.org/stdsyslog/stdsyslog.git -b debian
Vcs-Browser: http://gitorious.org/stdsyslog/stdsyslog

Package: stdsyslog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: log a program's output to the system log
 The stdsyslog utility executes a program, reads everything that it
 outputs to a set of file descriptors (by default the standard output
 and standard error streams) and logs it to the system log.

=== debian/rules ===
#!/usr/bin/make -f
# Build rules file for stdsyslog.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

CFLAGS=		$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=	$(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CFLAGS+=	-Werror
endif

export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@ 

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
	  BINGRP=root MANGRP=root

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://devel.ringlet.net/sysutils/stdsyslog/ .*/stdsyslog-([\d.]*)\.tar\.gz

## stdsyslog 0.03.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2013  Peter Pentchev
+# Copyright (c) 2013, 2015  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -78,7 +78,7 @@
 CFLAGS+=	-Werror
 #CFLAGS+=	-ggdb -g3
 
-CPPFLAGS_STD?=	-D_POSIX_C_SOURCE=200809L -D_BSD_SOURCE=1 -D_XOPEN_SOURCE=700
+CPPFLAGS_STD?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700
 CPPFLAGS+=	${CPPFLAGS_STD}
 
 all:		${PROG} ${MAN1GZ}

=== debian/changelog ===
stdsyslog (0.03.1-1) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 with no changes.
  * Add the debian/upstream/metadata file.
  * Add Multi-Arch: foreign to the binary package.
  * Add --parallel to the debhelper invocation (not that it matters).
  * Get the build flags directly from debhelper 9.
  * Bump the year on my debian/* copyright notice.
  * Let uscan verify upstream's signature against my own key.
  * Point Vcs-Git, Vcs-Browser, and debian/upstream/metadata to
    the project's new home at GitLab.
  * New upstream version:
    - fixes the build with GCC 5.x; Closes: #790285
    - update the upstream copyright information
    - bump the year on my Debian copyright notice

 -- Peter Pentchev <roam@ringlet.net>  Tue, 04 Aug 2015 18:46:10 +0300

=== debian/control ===
Source: stdsyslog
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 9)
Standards-Version: 3.9.6
Homepage: http://devel.ringlet.net/sysutils/stdsyslog/
Vcs-Git: https://gitlab.com/stdsyslog/stdsyslog.git -b debian
Vcs-Browser: https://gitlab.com/stdsyslog/stdsyslog/tree/debian

Package: stdsyslog
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: log a program's output to the system log
 The stdsyslog utility executes a program, reads everything that it
 outputs to a set of file descriptors (by default the standard output
 and standard error streams) and logs it to the system log.

=== debian/rules ===
#!/usr/bin/make -f
# Build rules file for stdsyslog.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND=	-Werror
export DEB_CFLAGS_MAINT_APPEND
endif

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
	  BINGRP=root MANGRP=root

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://devel.ringlet.net/sysutils/stdsyslog/ .*/stdsyslog-([\d.]*)\.tar\.gz

## stdsyslog 0.03.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2013, 2015  Peter Pentchev
+# Copyright (c) 2013, 2015, 2017  Peter Pentchev
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -81,6 +81,14 @@
 CPPFLAGS_STD?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700
 CPPFLAGS+=	${CPPFLAGS_STD}
 
+INSTALL?=	install
+COPY?=		-c
+STRIP?=		-s
+
+INSTALL_PROGRAM?=	${INSTALL} ${COPY} ${STRIP} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
+INSTALL_DATA?=		${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}
+INSTALL_MAN?=		${INSTALL} ${COPY} -o ${MANOWN} -g ${MANGRP} -m ${MANMODE}
+
 all:		${PROG} ${MAN1GZ}
 
 clean:
@@ -100,15 +108,15 @@
 
 install-bin:
 		-${MKDIR} ${DESTDIR}${BINDIR}
-		install -c -o ${BINOWN} -g ${BINGRP} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}/
+		${INSTALL_PROGRAM} ${PROG} ${DESTDIR}${BINDIR}/
 
 install-man:
 		-${MKDIR} ${DESTDIR}${MANDIR}1
-		install -c -o ${MANOWN} -g ${MANGRP} -m ${MANMODE} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
+		${INSTALL_MAN} ${MAN1GZ} ${DESTDIR}${MANDIR}1/
 
 install-examples:
 		-${MKDIR} ${DESTDIR}${EXAMPLESDIR}
-		install -c -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} ${EXAMPLES} ${DESTDIR}${EXAMPLESDIR}/
+		${INSTALL_DATA} ${EXAMPLES} ${DESTDIR}${EXAMPLESDIR}/
 
 depend:
 		${SETENV} CPPFLAGS="-DSTDSYSLOG_MAKEDEP ${CPPFLAGS}" \

=== debian/changelog ===
stdsyslog (0.03.3-4) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the Name and Contact upstream metadata fields.
  * Bump the debhelper compat level to 13 with no changes.

 -- Peter Pentchev <roam@debian.org>  Fri, 08 May 2020 01:06:42 +0300

stdsyslog (0.03.3-3) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.

 -- Peter Pentchev <roam@debian.org>  Wed, 27 Feb 2019 14:36:44 +0200

stdsyslog (0.03.3-2) unstable; urgency=medium

  * Bump the debhelper compatibility level to 12 with no changes,
    drop the Lintian override, and use the B-D: debhelper-compat (= 12)
    mechanism.
  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Add the years 2018 and 2019 to my debian/* copyright notice.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.
  * Aggregate my upstream copyright notices.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 14:23:24 +0200

stdsyslog (0.03.3-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.1 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    override the install(1) invocations.
  * Let dpkg-buildflags handle the LFS compiler and linker options.
  * Bump the debhelper compatibility level to 11 and the build dependency
    to 10.8~.
  * New upstream release, update the upstream copyright years.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 16 Nov 2017 21:47:50 +0200

stdsyslog (0.03.1-3) unstable; urgency=medium

  * Build-depend on debhelper 10 now that it's even in jessie-backports;
    remove the Lintian override.
  * Use the HTTPS scheme for various upstream and Debian URLs.
  * Switch the watch file back to pgpsigurlmangle, since pgpmode=auto may
    silently ignore a missing upstream signature.
  * Use the v4 substitution variables in the watch file.
  * Bump the year on my debian/* copyright notice.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 09 Jan 2017 21:17:19 +0200

stdsyslog (0.03.1-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Rename the "BSD-2" license to "BSD-2-clause" in the copyright file
    and bump the year on my debian/* copyright notice.
  * Update the watch file to version 4 and use pgpmode=auto instead of
    the pgpsigurlmangle option.
  * Bump the debhelper compatibility level to 10:
    - override the Lintian debhelper warning as it itself suggests
    - let debhelper handle parallel building by default

 -- Peter Pentchev <roam@ringlet.net>  Sat, 23 Apr 2016 23:41:41 +0300

=== debian/control ===
Source: stdsyslog
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://devel.ringlet.net/sysutils/stdsyslog/
Vcs-Git: https://gitlab.com/stdsyslog/stdsyslog.git -b debian/master
Vcs-Browser: https://gitlab.com/stdsyslog/stdsyslog/tree/debian/master
Rules-Requires-Root: no

Package: stdsyslog
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: log a program's output to the system log
 The stdsyslog utility executes a program, reads everything that it
 outputs to a set of file descriptors (by default the standard output
 and standard error streams) and logs it to the system log.

=== debian/rules ===
#!/usr/bin/make -f
# Build rules file for stdsyslog.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
export DEB_BUILD_MAINT_OPTIONS

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND=	-Werror
export DEB_CFLAGS_MAINT_APPEND
endif

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr MANDIR=/usr/share/man/man \
	  INSTALL_PROGRAM='install -m 755' \
	  INSTALL_MAN='install -m 644' \
	  INSTALL_DATA='install -m 644'

override_dh_installchangelogs:
	dh_installchangelogs
	install -m 644 NEWS debian/stdsyslog/usr/share/doc/stdsyslog/

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/sysutils/stdsyslog/ .*/stdsyslog-@ANY_VERSION@@ARCHIVE_EXT@

## stdsyslog 0.03.4

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,5 @@
-# Copyright (c) 2013, 2015, 2017  Peter Pentchev
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-#    notice, this list of conditions and the following disclaimer in the
-#    documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
-# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
-# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
-# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
-# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-# SUCH DAMAGE.
+# SPDX-FileCopyrightText: Peter Pentchev
+# SPDX-License-Identifier: BSD-2-Clause
 #
 # $Ringlet$

=== debian/changelog ===
stdsyslog (0.03.4-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Explicitly specify dh-sequence-single-binary.
  * Catch up with the upstream site reorganization.
  * New upstream release:
    - follow upstream's switch to yearless copyright notices
    - catch up with the renamed upstream changelog file
  * Run the upstream stdtestlog suite via autopkgtest.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debhelper compat level 14:
    - add --destdir to dh_auto_install since we override it
    - let debhelper add some default dependencies automatically
  * Add the no-local9 patch to fix the test suite.
  * Use dpkg's default.mk in the rules file.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF metadata.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Aug 2024 14:01:48 +0300

=== debian/control ===
Source: stdsyslog
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
Standards-Version: 4.7.0
X-DH-Compat: 14
Homepage: https://devel.ringlet.net/sysutils/stdsyslog/
Vcs-Git: https://gitlab.com/stdsyslog/stdsyslog.git -b debian/master
Vcs-Browser: https://gitlab.com/stdsyslog/stdsyslog/tree/debian/master
X-Style: black

Package: stdsyslog
Architecture: any
Multi-Arch: foreign
Description: log a program's output to the system log
 The stdsyslog utility executes a program, reads everything that it
 outputs to a set of file descriptors (by default the standard output
 and standard error streams) and logs it to the system log.

=== debian/rules ===
#!/usr/bin/make -f
# Build rules file for stdsyslog.

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND=	-Werror
endif

DPKG_EXPORT_BUILDFLAGS=		1

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

export DEB_LDFLAGS_MAINT_APPEND

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir '${CURDIR}/debian/stdsyslog' -- \
	  PREFIX=/usr \
	  MANDIR=/usr/share/man/man \
	  INSTALL_PROGRAM='install -m 755' \
	  INSTALL_MAN='install -m 644' \
	  INSTALL_DATA='install -m 644'

override_dh_installchangelogs:
	dh_installchangelogs -X changes.md
	install -m 644 docs/changes.md debian/stdsyslog/usr/share/doc/stdsyslog/NEWS

=== debian/tests/control ===
Test-Command: env PYTHONPATH="$(pwd)/python/src" python3 -B -u -m stdtestlog run
Depends:
 python3,
 python3-click,
 rsyslog,
 @,
Restrictions:
 allow-stderr,
 isolation-container,
 needs-sudo,
Features:
 test-name=upstream-stdtestlog,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/sysutils/stdsyslog/download/ .*/stdsyslog-@ANY_VERSION@@ARCHIVE_EXT@
